#!/usr/bin/perl -w

# Linux Application Checker
# Index Page Module (index.pl)
#
# Copyright (C) 2007-2008 The Linux Foundation. All rights reserved.
#
# This program has been developed by ISP RAS for LF.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# version 2 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

use Templates;

print "HTTP/1.0 200 OK\n";
print "Content-type: text/html\n\n";

print_header("Linux Application Checker Main Page", "");

print <<DATA;
<h1>Welcome to the Linux Application Checker!</h1>

This tool enables you to analyze the compatibility of your application with various Linux distributions and the LSB standard by checking external dependencies (libraries and interfaces) required to run your application.
<ul>
  <li>To specify your application for testing and run the analysis, please visit the <a href="tests_conf.pl">Application Check</a> page.</li>
  <li>The results of previous test runs can be found on the <a href="tests_results.pl">Results History</a> page.</li>
  <li>If you need more information about the Linux Application Checker, please read the <a href="tests_help.pl">Help</a> and <a href="http://ispras.linuxfoundation.org/index.php/Linux_App_Checker_Getting_Started" target="_blank">Getting Started</a> pages.</li>
</ul>
DATA

print_footer();
